## org.eclipse.emf.ocl.expressions
Interface BooleanLiteralExp

All Superinterfaces:
  ASTNode, EModelElement, ENamedElement, EObject, LiteralExp, Notifier, OCLExpression, PrimitiveLiteralExp, TypedElement, Visitable

All Known Implementing Classes:
  BooleanLiteralExpImpl

Deprecated. Use the `BooleanLiteralExp` interface, instead.

    @Deprecated
    public interface BooleanLiteralExp

extends PrimitiveLiteralExp

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`Boolean` `getBooleanSymbol()` Deprecated.
`void` `setBooleanSymbol(Boolean value)` Deprecated. Sets the value of the '`Boolean Symbol`' attribute

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getBooleanSymbol

    Boolean getBooleanSymbol()

  Deprecated.

### setBooleanSymbol

    void setBooleanSymbol(Boolean value)

  Deprecated.
  Sets the value of the '`Boolean Symbol`' attribute.

  Parameters:
    `value` - the new value of the 'Boolean Symbol' attribute.
  See Also:
    `getBooleanSymbol()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.